aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorGuy Harris <gharris@sonic.net>2021-07-30 19:20:13 -0700
committerGuy Harris <gharris@sonic.net>2021-07-30 19:20:13 -0700
commitcc84bebcdcb0e4f3c3d461e54486bc11489c2a05 (patch)
tree24dad40f35196a7661c4be56bb4768713f9ea575 /tools
parent856c4f3af6a91d2fe789c08122ac1b3e24748dca (diff)
macos-setup: add the deployment flags when configuring with Meson.
We add them when configuring with autotools, so that we build GLib appropriately for the OS versions we're targeting; do the same when configuring with Meson.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/macos-setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/macos-setup.sh b/tools/macos-setup.sh
index b9446e74c5..0aeef71c33 100755
--- a/tools/macos-setup.sh
+++ b/tools/macos-setup.sh
@@ -954,7 +954,7 @@ EOF
# supports it, and I'm too lazy to add a dot-dot
# version check.
#
- $MESON _build || exit 1
+ CFLAGS="$CFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" CXXFLAGS="$CXXFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" LDFLAGS="$LDFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" $MESON _build || exit 1
ninja $MAKE_BUILD_OPTS -C _build || exit 1
$DO_NINJA_INSTALL || exit 1
;;